Amazon Linux AMI:cloud-init (ALAS-2021-1486)

medium Nessus 插件 ID 147917
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Amazon Linux AMI 主机缺少安全更新。

描述

远程主机上安装的 cloud-init 版本低于 0.7.6-43.23。因此,如公告 ALAS-2021-1486 所述,该主机受到多个漏洞的影响。

- 19.4 及之前的 cloud-init 依赖 Mersenne Twister 获取随机密码,这让攻击者可以更轻松地预测密码,原因在于 cloudinit/util.py 中的 rand_str 调用 random.choice 函数。
(CVE-2020-8631)

- 在 19.4 及之前的 cloud-init 中,cloudinit/config/cc_set_passwords.py 中的 rand_user_password 具有一个较小的默认 pwlen 值,这让攻击者可以更轻松地猜测密码。(CVE-2020-8632)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

运行 'yum update cloud-init' 以更新系统。

另见

https://alas.aws.amazon.com/ALAS-2021-1486.html

https://access.redhat.com/security/cve/CVE-2020-8631

https://access.redhat.com/security/cve/CVE-2020-8632

https://access.redhat.com/security/cve/CVE-2021-3429

插件详情

严重性: Medium

ID: 147917

文件名: ala_ALAS-2021-1486.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/3/20

最近更新时间: 2021/3/20

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2020-8632

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Low

基本分数: 2.1

时间分数: 1.6

矢量: AV:L/AC:L/Au:N/C:P/I:N/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 5.5

时间分数: 4.8

矢量: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:cloud-init, cpe:/o:amazon:linux

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2021/3/18

漏洞发布日期: 2020/2/5

参考资料信息

CVE: CVE-2020-8631, CVE-2020-8632, CVE-2021-3429

ALAS: 2021-1486